require 'spec_helper'

describe 'creating many documents at once' do

  let(:docs){ (0..9).map {|i| {title: "Doc#{i}"} } }
  
  before do
    stub_api_http :post, '/v1/documents.json', {data: docs} do
      {
        status: 201,
        body: {results: docs.map{|doc| Hashie::Mash.new(doc.merge(id: SecureRandom.hex))} }
      }
    end
    @result = S3Search.create_many docs
  end

  it 'returns the created documents' do
    expect(@result.size).to eq(10)
  end
end
