require 'spec_helper'

describe 'creating a simple document' do

  let(:create_params){ {title: 'Simple Document'} }
  let(:created_id) { 'zMitmokAR5O4utuyz7qXRw' }
  before do
    stub_api_http :post, '/v1/documents.json', {data: create_params} do
      {
        status: 201,
        body: Hashie::Mash.new(create_params.merge(id: created_id))
      }
    end
    @document = S3Search.create create_params
  end

  it 'returns the created document' do
    expect(@document.title).to eq('Simple Document')
    expect(@document.id).to eq(created_id)
  end
end
