require 'spec_helper'

describe 'deleting a document' do

  let(:document_id) { 'ZenfyafgRRGWAR6pqF0DeA' }
  before do
    stub_api_http :get, "/v1/documents/#{document_id}.json" do
      {
        body: Hashie::Mash.new({id: document_id, name: 'Some Document', some_property: 42}),
        status: 200
      }
    end
    @document = S3Search.get document_id
  end


  it 'gets the document' do
    expect(@document.id).to eq(document_id)
    expect(@document.name).to eq('Some Document')
    expect(@document.some_property).to eq(42)
  end
end
