require 'webmock/rspec'
require 's3search'
require 'active_support/core_ext/object/try'

ENV['S3SEARCH_API_KEY'] = 'api_key'
ENV['S3SEARCH_API_SECRET'] = 'api_secret'
ENV['S3SEARCH_URL'] = 'https://us-east-1.s3searchapp.test'

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
  config.order = 'random'
end

def stub_api_http method, resource, body=nil, &block
  stub_request(
    method,
    "https://us-east-1.s3searchapp.test#{resource}"
  ).with(
    body: body.try(:to_json),
    headers: {
      'Accept' => 'application/json',
      'Content-Type' => 'application/json',
      'Authorization' => 'Basic YXBpX2tleTphcGlfc2VjcmV0'
    }
  ).to_return(
    yield
  )
end
